Bug 107547 - spurious errors in com.arsdigita.populate.cms.PopulateSuite
spurious errors in com.arsdigita.populate.cms.PopulateSuite
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
http://ccm-installer.boston.redhat.co...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 10:23 EDT by Vadim Nasardinov
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 14:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-10-20 10:23:58 EDT
There seem to be random test failures in PopulateSuite.  Every now and
then, I see an innocuous change trigger a test failure report by the
autotester, something along the following lines of:

    There appear to be new JUnit failures for rickshaw at changelist
    37100 DB postgres:

    http://ccm-installer.boston.redhat.com/junit/rickshaw/37100/postgres/index.html


    You have made changes between 37095 and 37100 and may be
    responsible for these failures.  Please examine these failures and
    determine if your changes are responsible.

    The changes you made are:

    Change 37100 on 2003/10/17 by vadim@vadim-at-home 'Javadoc
    fixes. p4 integrate -rb'


Note that change 37100 merely fixes a Javadoc comment.  It does not
make any functional changes.  The apparent test suite failure
triggered by this non-change is different on oracle and postgres.  On
postgres, the failure is this:

  Regressions

  These tests did not fail in the prior run.

  Test: com.arsdigita.populate.cms.PopulateTest.testPopulate ERROR.

  com.redhat.persistence.engine.rdbms.RDBMSEngine$2: ERROR:  deadlock detected

    at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
    at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
    at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled 


This is the same error that mikeb@redhat.com reported in 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=107290

See
http://ccm-installer.boston.redhat.com/junit/rickshaw/37100/postgres/cms-internal/com.arsdigita.populate.cms.PopulateSuite.html
for a complete autotester report.

On Oracle, the error is different.  Quoting from
http://ccm-installer.boston.redhat.com/junit/rickshaw/37100/oracle-se/cms-internal/com.arsdigita.populate.cms.PopulateSuite.html

  Regressions

  These tests did not fail in the prior run.

  Test: com.arsdigita.populate.cms.PopulateTest.testPopulate ERROR.

  java.lang.IllegalStateException: double begin
    at
com.arsdigita.persistence.TransactionContext.beginTxn(TransactionContext.java:72)
    at com.arsdigita.populate.cms.PopulateContent.populate(PopulateContent.java:65)
Comment 1 Vadim Nasardinov 2005-08-03 14:35:33 EDT
stale

Note You need to log in before you can comment on or make changes to this bug.